export interface ILibsUiConfigFontFamily {
    name: string;
    uri_regular: string;
    uri_medium: string;
    uri_semibold: string;
    uri_bold?: string;
}
export interface ILibsUiConfigFontHeading {
    h1r: ILibsUiConfigFontHeadingStyle;
    h1m: ILibsUiConfigFontHeadingStyle;
    h1s: ILibsUiConfigFontHeadingStyle;
    h1b: ILibsUiConfigFontHeadingStyle;
    h2r: ILibsUiConfigFontHeadingStyle;
    h2m: ILibsUiConfigFontHeadingStyle;
    h2s: ILibsUiConfigFontHeadingStyle;
    h2b: ILibsUiConfigFontHeadingStyle;
    h3r: ILibsUiConfigFontHeadingStyle;
    h3m: ILibsUiConfigFontHeadingStyle;
    h3s: ILibsUiConfigFontHeadingStyle;
    h3b: ILibsUiConfigFontHeadingStyle;
    h4r: ILibsUiConfigFontHeadingStyle;
    h4m: ILibsUiConfigFontHeadingStyle;
    h4s: ILibsUiConfigFontHeadingStyle;
    h4b: ILibsUiConfigFontHeadingStyle;
    h5r: ILibsUiConfigFontHeadingStyle;
    h5m: ILibsUiConfigFontHeadingStyle;
    h5s: ILibsUiConfigFontHeadingStyle;
    h5b: ILibsUiConfigFontHeadingStyle;
    h6r: ILibsUiConfigFontHeadingStyle;
    h6m: ILibsUiConfigFontHeadingStyle;
    h6s: ILibsUiConfigFontHeadingStyle;
    h6b: ILibsUiConfigFontHeadingStyle;
    h7r: ILibsUiConfigFontHeadingStyle;
    h7m: ILibsUiConfigFontHeadingStyle;
    h7s: ILibsUiConfigFontHeadingStyle;
    h7b: ILibsUiConfigFontHeadingStyle;
}
export interface ILibsUiConfigFontHeadingStyle {
    'font-size': string;
    'font-weight': string;
    'line-height': string;
    'letter-spacing': string;
}
export interface ILibsUiConfigButtonStatus {
    [key: string]: {
        color: string;
        background?: string;
    };
}
export interface ILibsUiConfigButtonTab {
    [key: string]: IColorButtonTab;
}
export interface IColorButtonTab {
    color: string;
    background?: string;
    background_badge?: string;
}
export interface IColorButton {
    configStepColor: {
        text: string | number;
        text_hover: string | number;
        text_active: string | number;
        text_disable: string | number;
        background?: string | number;
        background_hover?: string | number;
        background_active?: string | number;
        background_disable?: string | number;
        border?: string | number;
        border_hover?: string | number;
        border_active?: string | number;
        border_disable?: string | number;
    };
    rootColor: string;
}
