import { IColorButtonTab, ILibsUiConfigButtonStatus, ILibsUiConfigButtonTab, ILibsUiConfigFontHeading } from "./config-project.interface";
export declare const fontConfig: {
    name: string;
    uri_regular: string;
    uri_medium: string;
    uri_semibold: string;
};
export declare const weights: {
    uri_regular: string;
    uri_medium: string;
    uri_semibold: string;
    uri_bold: string;
};
export declare const configHeading: ILibsUiConfigFontHeading;
export declare const sizeButtonConfig: () => {
    icon: {
        large: string;
        medium: string;
        small: string;
        smaller: string;
    };
    large: {
        font_size: string;
        line_height: string;
    };
    medium: {
        font_size: string;
        line_height: string;
    };
    small: {
        font_size: string;
        line_height: string;
    };
    smaller: {
        font_size: string;
        line_height: string;
    };
};
export declare const configButtonColor: (rootColorInTheme: string) => {
    "button-primary": {
        configStepColor: {
            text: string;
            text_hover: string;
            text_active: string;
            text_disable: string;
            background: number;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-primary-revert": {
        configStepColor: {
            text: number;
            text_hover: string;
            text_active: string;
            text_disable: string;
            background: string;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-secondary": {
        configStepColor: {
            text: number;
            text_hover: number;
            text_active: number;
            text_disable: string;
            background: number;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-third": {
        configStepColor: {
            text: string;
            text_hover: number;
            text_active: number;
            text_disable: string;
            background: string;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: string;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-secondary-red": {
        configStepColor: {
            text: number;
            text_hover: number;
            text_active: number;
            text_disable: string;
            background: number;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-outline": {
        configStepColor: {
            text: string;
            text_hover: number;
            text_active: number;
            text_disable: string;
            background: string;
            background_hover: string;
            background_active: string;
            background_disable: string;
            border: string;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-danger-high": {
        configStepColor: {
            text: string;
            text_hover: string;
            text_active: string;
            text_disable: string;
            background: number;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-danger-low": {
        configStepColor: {
            text: string;
            text_hover: string;
            text_active: string;
            text_disable: string;
            background: number;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-green": {
        configStepColor: {
            text: string;
            text_hover: string;
            text_active: string;
            text_disable: string;
            background: number;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-violet": {
        configStepColor: {
            text: string;
            text_hover: string;
            text_active: string;
            text_disable: string;
            background: number;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-outline-green": {
        configStepColor: {
            text: string;
            text_hover: number;
            text_active: number;
            text_disable: string;
            background: string;
            background_hover: string;
            background_active: string;
            background_disable: string;
            border: string;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-secondary-green": {
        configStepColor: {
            text: number;
            text_hover: string;
            text_active: string;
            text_disable: string;
            background: number;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-outline-secondary": {
        configStepColor: {
            text: number;
            text_hover: string;
            text_active: string;
            text_disable: string;
            background: number;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: number;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-outline-hover-danger": {
        configStepColor: {
            text: string;
            text_hover: number;
            text_active: number;
            text_disable: string;
            background: string;
            background_hover: string;
            background_active: string;
            background_disable: string;
            border: string;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
    "button-third-hover-danger": {
        configStepColor: {
            text: string;
            text_hover: number;
            text_active: number;
            text_disable: string;
            background: string;
            background_hover: number;
            background_active: number;
            background_disable: string;
            border: string;
            border_hover: number;
            border_active: number;
            border_disable: string;
        };
        rootColor: string;
    };
};
export declare const configLinkButton: (rootColorInTheme: string) => {
    "button-link-primary": {
        configStepColor: {
            text: number;
            text_hover: number;
            text_active: number;
            text_disable: string;
        };
        rootColor: string;
    };
    "button-link-third": {
        configStepColor: {
            text: string;
            text_hover: number;
            text_active: number;
            text_disable: string;
        };
        rootColor: string;
    };
    "button-link-danger-high": {
        configStepColor: {
            text: number;
            text_hover: number;
            text_active: number;
            text_disable: string;
        };
        rootColor: string;
    };
    "button-link-danger-low": {
        configStepColor: {
            text: number;
            text_hover: number;
            text_active: number;
            text_disable: string;
        };
        rootColor: string;
    };
    "button-link-green": {
        configStepColor: {
            text: number;
            text_hover: number;
            text_active: number;
            text_disable: string;
        };
        rootColor: string;
    };
    "button-link-violet": {
        configStepColor: {
            text: number;
            text_hover: number;
            text_active: number;
            text_disable: string;
        };
        rootColor: string;
    };
};
export declare const configButtonStatus: () => ILibsUiConfigButtonStatus;
export declare const configButtonTab: () => ILibsUiConfigButtonTab;
export declare const styleButtonTab: (type: string, config: IColorButtonTab) => string;
